namespace PhpNative {
    public int die_no_args_static (string php_file, int php_line) throws Error {
        return exit_no_args_static (php_file, php_line);
    }

    public Php.zval die_no_args_zval (string php_file, int php_line) throws Error {
        return Php.zval.integer (die_no_args_static (php_file, php_line));
    }

    public int die_int_static (int status, string php_file, int php_line) throws Error {
        return exit_int_static (status, php_file, php_line);
    }

    public Php.zval die_int_zval (Php.zval status, string php_file, int php_line) throws Error {
        return Php.zval.integer (die_int_static ((int) Php.zval_to_int (status), php_file, php_line));
    }

    public int die_string_static (string message, string php_file, int php_line) throws Error {
        return exit_string_static (message, php_file, php_line);
    }

    public Php.zval die_string_zval (Php.zval message, string php_file, int php_line) throws Error {
        return Php.zval.integer (die_string_static (Php.zval_to_string (message), php_file, php_line));
    }

    public Php.zval die_zval (Php.zval status_or_message, string php_file, int php_line) throws Error {
        return exit_zval (status_or_message, php_file, php_line);
    }
}
